Name: tex4ht
Version: 1.0.2005_01_26_1630
Release: sdg0.1
Group: Publishing
Summary: TeX-based authoring system for producing hypertext
License: LaTeX Project Public License
Url: http://www.cse.ohio-state.edu/~gurari/TeX4ht/
Source0: %name-%version.tar.gz
Source1: doc.tar.bz2
Patch: %name-env.patch

Requires: tetex ImageMagick
BuildRequires: tetex-devel

%description
TeX4ht is a highly configurable TeX-based authoring system
for producing hypertext. It interacts with TeX-based applications
through style files and postprocessors, leaving the processing
of the source files to the native TeX compiler. Consequently,
TeX4ht can handle the features of TeX-based systems in general,
and of the LaTeX and AMS style files in particular.

%prep
%setup
%setup -T -D -a 1
%__subst 's,tpath/tex,t%_datadir,' texmf/%name/base/unix/%name.env
%__subst 's,i~/tex4ht.dir,i%_datadir,' texmf/%name/base/unix/%name.env
%__subst 's,l~/tex4ht.dir/tex4ht.fls,l~/.tex4ht.fls,' texmf/%name/base/unix/%name.env
%patch -p1

%build
cd temp
gcc $RPM_OPT_FLAGS -DENVFILE='"%_datadir/texmf/%name/base/%name.env"' \
    -DKPATHSEA -DHAVE_DIRENT_H -lkpathsea -o tex4ht tex4ht.c
gcc $RPM_OPT_FLAGS -DENVFILE='"%_datadir/texmf/%name/base/%name.env"' \
    -DKPATHSEA -DHAVE_DIRENT_H -lkpathsea -o t4ht t4ht.c

%install
%__mkdir_p ${RPM_BUILD_ROOT}%_bindir
%__mkdir_p ${RPM_BUILD_ROOT}%_datadir/texmf/tex/generic/%name
%__mkdir_p ${RPM_BUILD_ROOT}%_datadir/texmf/%name/{base,ht-fonts}
%__install -pD -m755 temp/{tex4ht,t4ht} %buildroot%_bindir
%__install -pD -m755 bin/unix/* %buildroot%_bindir
%__install -pD -m644 texmf/tex/generic/%name/* %buildroot%_datadir/texmf/tex/generic/%name
%__install -pD -m644 texmf/%name/base/unix/%name.env %buildroot%_datadir/texmf/%name/base/%name.env

rm -f ht-fonts.lst
for fname in `find texmf/tex4ht/ht-fonts -print`
do
  if [ -d $fname ] ; then
    %__mkdir_p ${RPM_BUILD_ROOT}%_datadir/$fname 
  else
    %__install -pD -m644 $fname %buildroot%_datadir/$fname 
    echo %_datadir/$fname >> ht-fonts.lst
  fi
done

%post
%_bindir/mktexlsr ||:

%postun
%_bindir/mktexlsr ||:

%files -f ht-fonts.lst
%doc doc/* temp/*.tex
%_bindir/*
%_datadir/texmf/tex4ht/base/%name.env
%_datadir/texmf/tex/generic/%name/*

%changelog
* Thu Jan 27 2005 Denis G. Samsonenko <denis@che.nsk.su>
- first build for ALM2.4
